Description

It appears as though some new issues have cropped up w.r.t. the kepler actor library, in particular:

- when actors are added to the library from the canvas, they sometimes do not appear in the library, sometimes require a change in
another actor to appear, and sometimes require kepler to be restarted to appear. | haven't nailed down exactly what sequence of
events are causing this / needed to make an actor show up.

- input/output port properties are no longer saved when an actor is saved to a library (and dragged back to the canvas). This includes
port data types as well as port semantic types. The same holds (i.e., port information is lost) when an actor is built via buildkarlib as
well.

- the actor library interface appears to have changed, e.g., calling entityList() returns a null pointer (it seems ...)

The above behavior occurs on a fresh cvs checkout ...

Thanks,
-shawn

History

#1 - 01/15/2008 04:43 PM - Chad Berkley

I'll have to check this out more. We just used this during the training workshop and this functionality worked well. More information on reproduction of
these errors would help us nail this down.

#2 - 01/15/2008 07:54 PM - Dan Higgins

Some preliminary tests indicated that the indicated problems occur when a second actor is added, after the first actor added works fine.

#3 - 01/17/2008 02:28 PM - Dan Higgins

Problems can be seen if one follows this sequence:

1) Create a customized RExpression actor called Test1. Add to library. Actor appears in tree just as it should

2) Createanother customized RExpression actor called Test2. Add to library. Actor DOES NOT appear in tree.

3) Shut down Kepler and restart. create another customized RExpression actor called Test3. Add to library. Now Test3 AND Test2 appear in tree
where they should!. Test2 was created but does not appear until Kepler is restarted and another actor added!

It appears that the first actor after restart get added immediately but subsequent actors do no show up.
Dan Higgins - Jan 2008

#4 - 01/18/2008 10:20 AM - Chad Berkley

I've verified that dan's way of reproducing this works. Not sure what the issue is.

#5 - 01/18/2008 11:21 AM - Chad Berkley

This is now fixed. It was caused when the actor library was rebuilt after an update. the actorLibrary entity was set to null for the refresh, but then
never reset to the new entity. this was compounded by the fact that a return was used to trap an error case, but no error message was thrown or
displayed. this is also now fixed.

#6 - 03/27/2013 02:21 PM - Redmine Admin
Original Bugzilla ID was 2978
